﻿

XIncludeFile "../Library/Lizard.pbi"


; Lizard always has to be initialized first.
If Lizard::Initialize("../Library")  ;  Define here the path of the Lizard.dll location.
	Debug "Lizard kernel has been initialized. Version "+Lizard::Version()
Else
	Debug "Lizard kernel initialization failed!"
	End
EndIf


Define Time.i


; Create a huge set of data (random real numbers)
Lizard::Evaluate("data = Iterate(Random(100.0), 10000);")

; Create a time consuming difficult function
Lizard::Evaluate("f(x?) := Erf(Sin(x))^2 / Factorial(x^5)")

; Now we apply this difficult function to the whole data set and measure the time. (approximately 1-2 seconds)
Time = ElapsedMilliseconds()
Lizard::Evaluate("Map(f, data);")
Debug "Map needs " + Str(ElapsedMilliseconds()-Time)+" ms"

; Now we apply this difficult function in parallel to the whole data set and measure the time again. (approximately less than half a seconds)
Lizard::Evaluate("LaunchKernels(6);") ; Launch 6 additional kernels (this is optional, they will be started also automatically, but skews the time measurement)
Time = ElapsedMilliseconds()
Lizard::Evaluate("MapParallel(f, data);")
Debug "MapParallel needs " + Str(ElapsedMilliseconds()-Time)+" ms"


; Quit Lizard.
Lizard::Terminate()


; IDE Options = PureBasic 6.00 LTS (Windows - x64)
; CursorPosition = 17
; EnableXP
; DPIAware
; EnableCompileCount = 70
; EnableBuildCount = 0