﻿

XIncludeFile "../Library/Lizard.pbi"


Procedure Callback_Error(Text.s)  ; Define a callback function for errors with the content "Text.s"
	Debug "Error:   "+Text
EndProcedure


; Lizard always has to be initialized first.
If Lizard::Initialize("../Library")  ;  Define here the path of the Lizard.dll location.
	Debug "Lizard kernel has been initialized. Version "+Lizard::Version()
Else
	Debug "Lizard kernel initialization failed!"
	End
EndIf

Lizard::BindCallback(Lizard::#Event_Error, @Callback_Error())  ; Bind the error callback.


Lizard::EvaluateFile("Example9_Around.txt")                    ; Evaluate a whole file with a script which defines functions for handling numbers with a specified uncertainty.
                                                               ; These numbers are represented as Around(number, uncertainty), e.g. Around(2.0, 0.1) commonly known as 2.0±0.1.
                                                               ; Errors in this script will be shown in the bind callback function.
Define Input.s

Input = "Around(2.0, 0.1) + Around(3.0, 0.5)"                  ; Let's do some math with these numbers
Debug Input + "  =  " + Lizard::Evaluate(Input) 
Input = "Around(5.0, 1.0) * Around(2.0, 1.0)"
Debug Input + "  =  " + Lizard::Evaluate(Input) 

Input = "Around(2.0, 0.1) * 4"
Debug Input + "  =  " + Lizard::Evaluate(Input) 
Input = "Around(2.0, 0.1) ^ 10"
Debug Input + "  =  " + Lizard::Evaluate(Input) 

Input = "Around(0.1, 0.02) * Around(1230, 10) + Around(10.0, 4.0)^Around(2.0, 0.1)"
Debug Input + "  =  " + Lizard::Evaluate(Input) 


; Quit Lizard.
Lizard::Terminate()


; IDE Options = PureBasic 6.00 LTS (Windows - x64)
; CursorPosition = 21
; Folding = -
; EnableXP
; DPIAware
; EnableCompileCount = 182
; EnableBuildCount = 0